#ifndef __MOG2_VALUESCRIPT_VIEW_WINDOW
#define __MOG2_VALUESCRIPT_VIEW_WINDOW

class BViewValueScriptWnd : public BWindow {
	friend class BViewActionScriptWnd;
	friend class BViewConditionScriptWnd;

public:
	BViewValueScriptWnd(int x,int y,int dx,int dy,class ValueSCRIPT *script,class OBJECT *o,ROOM *r,MAP *m,MOG2 *g,INTERFACE *interfp,class EDITOR *e,int lebel,TTF_Font *font);
	~BViewValueScriptWnd();

	virtual bool cycle(int stx,int sty);

protected:
	virtual void contens_size(int *dx,int *dy);
	virtual void draw_contens(SDL_Surface *sfc,int stx,int sty,int dx,int dy);

	void draw_script(SDL_Surface *sfc,ValueSCRIPT *script,int stx,int sty);
	bool click_on_script(void);
	bool right_click_on_script(void);
	void script_size(ValueSCRIPT *script,int *dx,int *dy);

	void recompute_sizes(ValueSCRIPT *script);

	class EDITOR *editor;
	ValueSCRIPT *script,*selected_script;
	SDL_Rect selected;
	OBJECT *object;
	ROOM *room;
	MAP *map;
	MOG2 *game;
	INTERFACE *interf;
	int level;

};


#endif